Subject: Re: [bug#65233] lcsync and librecast updates

From: Vagrant Cascadian <[email-masked]>
Date: Thu, 31 Aug 2023 14:52:34 -0700

On 2023-08-31, Christopher Baines wrote:
> Vagrant Cascadian <[email-masked]> writes:
>
>> [[PGP Signed Part:Signature made by expired key DC518FC87F9716AA Vagrant Cascadian <[email-masked]>]]
>> On 2023-08-29, Vagrant Cascadian wrote:
>>> On 2023-08-29, Christopher Baines wrote:
>>>> Vagrant Cascadian <[email-masked]> writes:
>>>>
>>>>> Both lcsync 0.2.1 and librecast 0.7.0 have upstream releases now, thus
>>>>> removing "WIP" from the title; these are worthy of merging, I hope. :)
>>>>
>>>> This looks good to me, I've pushed it to master as
>>>> 5f672aaa0ca7e2c5775c8950fa1627ac419e557e.
>>>
>>> Thanks!
>>>
>>> It looks like you ended up merging the old librecast 0.7-RC3 patch,
>>> rather than the 0.7.0 patch I submitted later. I apparently forgot to
>>> mark it as a v2 patch, which maybe tripped you up.
>>>
>>> Would it be ok if I pushed the newer version or would you be able to?
>>
>> I just went ahead and pushed c61c499c59109f6094384ee205c98034d759b600 as
>> a follow-up to update librecast to 0.7.0.
>
> Apologies for this, I didn't check that I'd got the right patches before
> pushing.

No worries, it was easy enough to fix. :)

> The slightly longer story is that I cherry picked these from
> the guix-patches repository [1], but a bug in QA meant that it hadn't
> been updating the branches, so I cherry picked the earlier version of
> the patch.
>
> 1: https://git.guix-patches.cbaines.net/guix-patches/

This is so tremendously useful, even with a few glitches now and then! I
only recently learned about it!

live well,
  vagrant